## hubzero-invokeapp 1.1.3

=== Makefile ===
# @package      hubzero-invokeapp
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBINDIR=$(DESTDIR)/usr/bin

default all build:
	@true
	
install:
	install -D invoke_app $(USRBINDIR)/invoke_app --mode 0755

clean:
	@true

## hubzero-invokeapp 1.1.5

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	
 install:
 	install -D invoke_app $(USRBINDIR)/invoke_app --mode 0755
+	install -D toolparams $(USRBINDIR)/toolparams --mode 0755
 
 clean:
 	@true

## hubzero-invokeapp 1.1.8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-invokeapp
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-invokeapp 1.1.10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-invokeapp
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-invokeapp 1.3.1

=== Makefile ===
--- 
+++ 
@@ -25,15 +25,22 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-USRBINDIR=$(DESTDIR)/usr/bin
+USRBIN=$(DESTDIR)/usr/bin
 
-default all build:
+all:
 	@true
-	
+
 install:
-	install -D invoke_app $(USRBINDIR)/invoke_app --mode 0755
-	install -D toolparams $(USRBINDIR)/toolparams --mode 0755
+	install -D invoke_app $(USRBIN)/invoke_app --mode 0755
+	install -D toolparams $(USRBIN)/toolparams --mode 0755
+
+uninstall:
+	@true
+
+postinst:
+	@true
 
 clean:
 	@true
-	
+
+.PHONY: all install uninstall postinst clean

## hubzero-invokeapp 2.0.0

=== Makefile ===
# @package      hubzero-invokeapp
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin

all:
	@true

install:
	install -D invoke_app $(USRBIN)/invoke_app --mode 0755
	install -D toolparams $(USRBIN)/toolparams --mode 0755

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-invokeapp 2.2.0-1+deb7

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,8 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
+PWD := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
+
 USRBIN=$(DESTDIR)/usr/bin
 
 all:
@@ -45,4 +47,12 @@
 clean:
 	@true
 
-.PHONY: all install uninstall postinst clean
+test:
+	docker run -i -t --rm \
+	  -v ${PWD}:/opt/invokeapp \
+	  --name invokeapp-testing \
+	  dskard/hubzero-workspace-testenv:latest \
+	  /usr/local/bin/pytest /opt/invokeapp/test_container_invokeapp.py
+
+
+.PHONY: all install uninstall postinst clean test

=== debian/changelog ===
hubzero-invokeapp (2.2.0-1+deb7) unstable; urgency=low
  - Added invocation filter limiting access to ionhelper
  - adding test target to makefile, testsuite cleanup
  - reversing execute permission
  - adding option to run tools without windowmanager
  - add "-S flag (no submit), "-r none" (no rappture)
  - added "-S" no submit flag
  - should show an message "submit disabled"
  - added "-r none" no rappture
  - should show a message "rappture_version set to none..."
  - created new functions to handle command template substitutions
  - converts @tool in commands (-c, -C, -a, and -A) to ${TOOLDIR}
  - need to check resultant command
  - created new function to handle environment variable template substitutions
  - converts @tool to ${TOOLDIR} and ${VERSION} ${TOOL_VERSION}
    affects -e and -p
  - added echo for setting and disabling FULLSCREEN when using -f flag
  - updating test cases with new system for running tests using docker

 -- Steven Clark <clarks@purdue.edu>  Sat, 05 Jan 2019 23:04:11 -0500

hubzero-invokeapp (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 06 Sep 2015 11:58:17 -0400

hubzero-invokeapp (1.3.2-1) unstable; urgency=low

  * remove deprecated package hubzero-app-invoke

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 06 Sep 2015 11:56:40 -0400

hubzero-invokeapp (1.3.1-1) unstable; urgency=low

  * Fixed local variable bug in last package release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 29 Jan 2015 09:16:40 -0500

hubzero-invokeapp (1.3.0-1) unstable; urgency=low

  * updates to the way the script searches for Rappture executables
    and libraries.
  * instead of using the 'setup_base_dir' function which tries to
    spy on the system to figure out possible directories where rappture
    is installed, we now do a simple 'use -e -r rappture' and read the
    RAPPTURE_PATH environment variable. ${RAPPTURE_PATH} holds the
    path of the Rappture installation.
  * declared all variables that are used only within functions as local
    to help prevent accidentally overwriting a variables value because
    the name was reused.
  * adding xmessage error messages for times when things fail, so we
    don't have to find the log file on the webserver to see what failed.

 -- derrick <derrick@gadabout.hubzero.org>  Wed, 17 Dec 2014 14:04:25 -0500

hubzero-invokeapp (1.2.0-2) unstable; urgency=low

  * tweak transitional package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 18:45:20 -0400

hubzero-invokeapp (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Sep 2014 08:37:12 -0400

hubzero-invokeapp (1.1.10-1) unstable; urgency=low

  * Update copyright statements and tidy packaging files more

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Aug 2014 18:13:12 -0400

hubzero-invokeapp (1.1.9-1) unstable; urgency=low

  * Updated search path for base_dir to include os distribution and version
    directories in /apps/share.

 -- derrick <dsk@purdue.edu>  Thu, 07 Aug 2014 10:19:39 -0400

hubzero-invokeapp (1.1.8-1) unstable; urgency=low

  * Added os distribution and version directories to the search path for
    base_dir, reflecting the changes in directory naming structure on
    hubs hosted by hubzero.

 -- Derrick Kearney <dsk@purdue.edu>  Thu, 19 Sep 2013 14:03:32 -0400

hubzero-invokeapp (1.1.7-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 20:04:38 -0400

hubzero-invokeapp (1.1.6-1) unstable; urgency=low

  * adding --noHeartbeat to submit --local command to keep because --local
    heartbeat was preventing tool session container expiration.

 -- Derrick Kearney <dsk@purdue.edu>  Fri, 16 Aug 2013 17:02:42 -0400

hubzero-invokeapp (1.1.5-1) unstable; urgency=low

  * install toolparams

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 04 Jun 2013 11:18:39 -0400

hubzero-invokeapp (1.1.4-1) unstable; urgency=low

  * updating invoke_app to accept multiple -C options and work
    with toolparams for parameter passing through urls.

 -- Derrick Kearney <dsk@purdue.edu>  Fri, 16 Aug 2013 16:57:08 -0400

hubzero-invokeapp (1.1.3-1) unstable; urgency=low

  * only use submit if the executable is found

 -- Derrick Kearney <dsk@purdue.edu>  Wed, 06 Feb 2013 01:25:21 -0500

hubzero-invokeapp (1.1.2-1) unstable; urgency=low

  * use submit open source path

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Dec 2012 16:14:57 -0500

hubzero-invokeapp (1.1.1-1) unstable; urgency=low

  * rename package to hubzero-invokeapp (underscore wasn't allowed)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 04 Sep 2012 10:48:54 -0400

hubzero-app-invoke (1.1.0-1) unstable; urgency=low

  * rename package hubzero-invoke_app
  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging
  * use open source release's /etc/environ.sh location

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 04 Sep 2012 10:40:25 -0400

hubzero-app-invoke (1.0.7-1) unstable; urgency=low

  * fix for identifying the newtooldir when it is a link vs.
    when it is a directory.
  * adding alternative setting for the environment variable
    SUBMIT_APPLICATION_REVISION.
  * inside of setup_installdir, fixing the regular expression
    for TOOL_VERSION, which should be a string that starts
    with 'r' followed by a series of integers as in a revision
    number, or should be a series of 8 integers as in a date
    formatted as follows: YYYYMMDD.
  * inside of setup_installdir, added a branch to cover a special
    case from nanohub.org where a script in the tool "aqme"'s bin
    directory calls the invoke script for the tool 1dhetero.

 -- Derrick Kearney <dsk@purdue.edu>  Wed, 02 May 2012 20:37:45 -0400

hubzero-app-invoke (1.0.6-1) unstable; urgency=low



=== debian/control ===
Source: hubzero-invokeapp
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-invokeapp
Architecture: all
Replaces: hubzero-app-invoke
Breaks: hubzero-app-invoke
Depends: hubzero-use, hubzero-mw-session
Description: HUBzero application invoke script
 This package provides the HUBzero application invoke script.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-invokeapp
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-invokeapp install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-invokeapp 2.2.0-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-invokeapp
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-invokeapp (2.2.0-1+deb9) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 10:32:33 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-invokeapp
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-invokeapp 2.2.1-1+deb10

=== debian/changelog ===
hubzero-invokeapp (2.2.1-1+deb10) unstable; urgency=low

  * Update changelog so it can be signed by maintainer

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 11 May 2020 11:16:32 -0700

hubzero-invokeapp (2.2.0-1) unstable; urgency=low
  - Added invocation filter limiting access to ionhelper
  - adding test target to makefile, testsuite cleanup
  - reversing execute permission
  - adding option to run tools without windowmanager
  - add "-S flag (no submit), "-r none" (no rappture)
  - added "-S" no submit flag
  - should show an message "submit disabled"
  - added "-r none" no rappture
  - should show a message "rappture_version set to none..."
  - created new functions to handle command template substitutions
  - converts @tool in commands (-c, -C, -a, and -A) to ${TOOLDIR}
  - need to check resultant command
  - created new function to handle environment variable template substitutions
  - converts @tool to ${TOOLDIR} and ${VERSION} ${TOOL_VERSION}
    affects -e and -p
  - added echo for setting and disabling FULLSCREEN when using -f flag
  - updating test cases with new system for running tests using docker

 -- Steven Clark <clarks@purdue.edu>  Sat, 05 Jan 2019 23:04:11 -0500

## hubzero-invokeapp 2.2.2-1+deb10

=== debian/changelog ===
hubzero-invokeapp (2.2.2-1+deb10) unstable; urgency=low

  *  Added openbox window manager
  *  Fix screemsg to dissplay entire message - not just the first word.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 May 2020 11:31:17 -0700

## hubzero-invokeapp 2.2.3-1+deb9

=== debian/changelog ===
hubzero-invokeapp (2.2.3-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 22:20:51 -0700

hubzero-invokeapp (2.2.2-1) unstable; urgency=low

  *  Added openbox window manager
  *  Fix screemsg to dissplay entire message - not just the first word.

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 13 May 2020 11:31:17 -0700

## hubzero-invokeapp 2.2.4-1+deb7

=== debian/changelog ===
hubzero-invokeapp (2.2.4-1+deb7) unstable; urgency=low

  *  Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 08:48:51 -0700

hubzero-invokeapp (2.2.3-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 22:20:51 -0700

## hubzero-invokeapp 2.2.4-1+deb10

=== debian/changelog ===
hubzero-invokeapp (2.2.4-1+deb10) unstable; urgency=low

  *  Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 08:48:51 -0700

## hubzero-invokeapp 2.2.4-1+deb12

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-invokeapp
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 PWD := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

=== debian/changelog ===
hubzero-invokeapp (2.2.4-1+deb12) unstable; urgency=low

  *  Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 08:48:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-invokeapp
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-invokeapp
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
